
ChiliProject - Bug # 1258: 2.11.0 not tagged in git repository

Status: Open Priority: Normal
Author: Vladislav Poluhin Category:
Created: 2013-03-29 Assignee: Holger Just
Updated: 2013-04-03 Due date:
Remote issue URL: http://blog.chiliproject.org/releases/chiliproject-2-11-0-released/#comment-835390450
Affected version: 2.11.0
Description: I use git repo for upgrade.

<pre>
$ git fetch
remote: Counting objects: 98, done.
remote: Compressing objects: 100% (32/32), done.
remote: Total 61 (delta 44), reused 46 (delta 29)
Unpacking objects: 100% (61/61), done.
From https://github.com/chiliprojec...
63976e6..dfb7785 master -> origin/master
63976e6..93de0ba stable -> origin/stable
60b699e..1855439 stable-2.x -> origin/stable-2.x
52b568f..8be500d unstable -> origin/unstable
* [new tag] v3.8.0 -> v3.8.0
</pre>

Where is 2.11.0?

History
2013-04-02 01:35 pm - Holger Just
- Assignee set to Holger Just

Meh... Looks like I tagged the wrong commit during release. The tag is there, but it is not the HEAD of the @stable-2.x@ branch as it should be. The 
branch is functionally equivalent to what is tagged. The on;y difference is the date in the changelog. I'm going to release v2.11.1 later to fix that. The 
release will contain no other changes other than the new tag.

Please compare for yourself:

* https://github.com/chiliproject/chiliproject/commits/v2.11.0
* https://github.com/chiliproject/chiliproject/commits/stable-2.x

2013-04-02 01:35 pm - Holger Just
- Affected version set to 2.11.0

2013-04-03 04:16 am - Vladislav Poluhin
I can't checkout:

<pre>
$ git fetch -v
From https://github.com/chiliproject/chiliproject
 = [up to date]      master     -> origin/master
 = [up to date]      release-v2.2.0 -> origin/release-v2.2.0
 = [up to date]      release-v3.0.0 -> origin/release-v3.0.0
 = [up to date]      release-v3.2.2 -> origin/release-v3.2.2
 = [up to date]      stable     -> origin/stable
 = [up to date]      stable-1.x -> origin/stable-1.x
 = [up to date]      stable-2.x -> origin/stable-2.x
 = [up to date]      unstable   -> origin/unstable
$ git checkout v2.11.0
error: pathspec 'v2.11.0' did not match any file(s) known to git.
</pre>

2013-04-03 11:18 am - Holger Just
In the meantime, you can either try to fetch using <pre>git fetch --tags</pre> which will also fetch all tags. Or you can switch to the @stable@ branch 
that right now contains exactly the same code as the @v2.11.0@ tag.

2013-04-03 11:59 am - Vladislav Poluhin
Oohh, thanks!
It's strange that everything was ok without argument @--tags@.

Solved.
